[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: Uh oh, NeTTrom upgrade error!

On Fri, 16 Feb 2001, Adam C Powell IV wrote:

> But I still can't boot a 2.4 kernel.  The 2.4.0-rmk1 I built says:
>      VFS: Cannot open root device "" or 03:03
>      Please append a correct "root=" boot option
>      Kernel panic: VFS: Unable to mount root fs on 03:03
> With cmdappend set to root=/dev/hda3, it says the same thing but with
> "hda3" instead of "".  Same with 01:03, with 00:03 it says "Kernel
> panic: I have no root and I want to scream".  I kinda like that one.
> :-)

Try appending: root=303, not '/dev/hda3'.  I like that panic, I'll have to
see if I can cause one :-)

> And a 2.4.1 I got from lkab says:
>      devfs: boot_options: 0x2
>      Kernel panic: VFS: Unable to ount root fs on 01:00
> So I guess this isn't a nettrom thing.  How do I boot these
> new-fangled kernels? And I guess I need devfsd to run 2.4.1- until I
> change /etc/fstab?

Not certain about the devfs thing, I don't build with it at present.

About all I can say is I've built 2.4.1 from CVS on netwinder.org without
any trouble.  Well aside from the tulip not working on some of my boards,
which is a bit annoying to say the least.


Reply to: